import { Action } from "@ngrx/store";

export type FactoryCreateAction = (type: String, payload?: any) => Action;
export type FactoryCreateNewObject<T> = (data?: any) => T;
export type FactoryCreateNewFilter<F> = () => F;
export type FactoryCopyObject<T> = (T) => T;
export type FactoryCrateToolbar<T> = (T) => any;

export enum GENERIC_TYPE {
  GO_FORM = "[Models] Go Form",
  GO_LIST = "[Models] Go List",
  LOAD_ITEMS = "[Models] Load Items",
  SAVE_ITEM = "[Models] Save item",
  INSERT_ITEM = "[Models] Insert item",
  UPDATE_ITEM = "[Models] Update item",
  DELETE_ITEM = "[Models] Delete Item",
  DELETE_ITEMS = "[Models] Delete Items",
  SHOW_ITEM_FOR_UPDATE = "[Models] Show item for update",
  SHOW_ITEM_FOR_INSERT = "[Models] Show item for insert",
  ITEMS_SELECTED = "[Models] items selected",
  CLOSE_ITEM = "[Models] Close item",
  NEW_PAGE_SIZE = "[Modles] New Page Size",
  PAGE_CHANGE = "[Modles] Page Change",
  RESET_FILTER = "[Modles] Reset Filter"
}
