import { BaseFilter } from "../../../base/shared/base.filter";

export class ConfigFilter extends BaseFilter
{
   constructor(
      public resultados: number,
      public pagina: number
   ) { 
      super(resultados, pagina);
   }
   
   public reset() {
      super.reset();  
   }        
   
   public copy() {
      return new ConfigFilter(this.resultados, this.pagina);
   }
   
   public static newObject(): ConfigFilter {
      let filter = new ConfigFilter(BaseFilter.RESULTADOS_PAGE, BaseFilter.PAGE);
      return filter;
   }
}