import {NgModule}       from '@angular/core';

import {HomeComponent}  from './home.component';
import {ErrorComponent} from './error.component';
import {routing}        from './home.routing';
import {SharedModule}   from '../shared/shared.module';

@NgModule({
   imports:         [ SharedModule, routing ],
   declarations:    [ HomeComponent, ErrorComponent ],
   exports:         [ HomeComponent, ErrorComponent]
})
export class HomeModule
{}