import { Component, Input } from "@angular/core";

import { AyudaService } from "../../service/ayuda.service";
import { BitGeneralComponent } from "./bit-general.component";

@Component({
  selector: "bit-checkbox",
  templateUrl: "bit-checkbox.component.html"
})
export class BitCheckBoxComponent extends BitGeneralComponent {
  constructor(protected ayudaService: AyudaService) {
    super(ayudaService);
  }

  get value_lectura(): string {
    return this.control.value ? "Sí" : "No";
  }
}
