import { Pipe,
    PipeTransform }  from '@angular/core';

/**
* Cambia a mayúscula el primer carácter de un texto.
*/
@Pipe({ name: "capitalize" })
export class CapitalizePipe implements PipeTransform {
transform(texto: string): string {
   if (texto && texto.length>0) { return texto.charAt(0).toUpperCase() + texto.slice(1); }
   else                         { return texto; }
}
}
