import {Pipe,
    PipeTransform}  from '@angular/core';

@Pipe({
name: 'otherToolbarAction'
})
/**
* Convierte un map de acciones del toolbar en un array de acciones pero conteniendo
* solo aquellas acciones que tengan la propiedad otherAction definida a true
*/
export class OtherToolbarActionPipe implements PipeTransform{
transform(toolbarMap: any): any[] {
    let actions = [];
    for (var key in toolbarMap){
        if (toolbarMap[key].otherAction){
            actions.push(toolbarMap[key]);
        }
    }
    return actions;        
}
}
