import {Injectable}     from '@angular/core';

/**
 * FocusService almacena el campo/elemento que actualmente tiene el foco del usuario.
 */
@Injectable()
export class FocusService {
    // El campo/elemento con el foco
    private focused: string = "none";

    focus(id: string): void {
        //console.log(`focus on ${id}`);
        this.focused = id;
    }

    clear(): void {
        //console.log('clear focus');
        this.focused = undefined;
    };

    getFocusedElement(): string {
        //console.log(`returning focus on ${this.focused}`);
        return this.focused;
    }
}