import {Observable, of } from 'rxjs';

import {TranslateLoader}        from '@ngx-translate/core';

import {Idioma}                 from '../data/idioma';
//import {LOCALE_CA, LOCALE_ES}   from '../../app.locale';

/** Traducciones estáticas de texto. */
export class StaticTranslateLoader implements TranslateLoader
{

    public static LOCALE_CA = {};
    public static LOCALE_ES = {};

    getTranslation(lang: string): Observable<any> {
        if (Idioma.esEspanyol(lang)) { return of(StaticTranslateLoader.LOCALE_ES); }
        else                         { return of(StaticTranslateLoader.LOCALE_CA); }
    }

}