import { NgModule } from "@angular/core";

/* Other Modules */
import { SharedModule } from "../shared/shared.module";

import { TestComponent } from "./component/test.component";
import { FormularioFormComponent } from "./component/formulario-form.component";
import { NewFormularioFormComponent } from "./component/newformulario-form.component";
import { routing } from "./test.routing";
import { TestService } from "./shared/test.service";
import { VentanaModalComponent } from "./ventana-modal.component";

@NgModule({
  imports: [SharedModule, routing],
  declarations: [TestComponent, FormularioFormComponent, NewFormularioFormComponent, VentanaModalComponent],
  providers: [TestService],
  exports: [TestComponent, FormularioFormComponent, NewFormularioFormComponent]
})
export class TestModule {}
