import {Component,
    Input}      from '@angular/core';

/** 
* Componenente que muestra un paginador en la sección footer.
**/ 
@Component({   

selector: 'bit-column-boolean',     
template: `
<span class="ui-cell-data" *ngIf="data">
    {{(data[field])?textTrue:textFalse}}
</span>
`
})
export class BitColumnBooleanComponent {
@Input() data: any; // objeto del que extraer la propiedad
@Input() field: string // propiedad booleana que procesar
@Input() textTrue: string = 'Sí';
@Input() textFalse: string = 'No';

constructor() {
}

}