export class BitMessage{
    static WIDTH: number = 600;
    static INFO: string = "info";
    static WARN: string = "warn";
    static ERROR: string = "error";
    
    constructor(
        public title: string,
        public message: string,
        public width: number = BitMessage.WIDTH,
        public height: number = 0,
        public modal: boolean = false,
        public severity: string = 'info', //info, warn, error
        public masInfo?: string,
        public json: boolean = false
    ){}

    public static newMessage(title, message, severity?): BitMessage {
        return new BitMessage(title, message, BitMessage.WIDTH, 0, false, severity);
    }
    
};