import {Directive, 
    ElementRef, 
    HostListener, 
    Renderer}     from '@angular/core';

import {FocusService} from '../service/focus.service';

@Directive({
selector: 'input,select,textarea,bit-input,bit-select' //TODO: no funciona bien con autoComplete. No se registra el focus
})
export class FocusRegisterDirective {
constructor(private elRef:ElementRef, private renderer:Renderer, private focusService:FocusService) {}

@HostListener('focus') onFocus() { this.focusService.focus(this.elRef.nativeElement.id); }

@HostListener('blur' ) onBlur () { this.focusService.clear(); }
 
}