import {Injectable}         from '@angular/core';
import {Subject}            from 'rxjs';

@Injectable()
export class TableViewService {

    private observableExportSource = new Subject<Boolean>();
    public observableExport;

    constructor() { 
        // console.log("TableViewService library creado");
        this.observableExport = this.observableExportSource.asObservable();
    }

    sendExportMessage() {
        this.observableExportSource.next(true);
    }
}