import { Item } from "../../shared/data/item";

export class NewObjetoTest extends Item {
  constructor(
    public id: number,
    public nombre: string,
    public activo: boolean,
    public siempreActivo: boolean,
    public descripcion: string,
    public usuario: string,
    public fecha: string,
    public fechaHora: string,
    public hora: string,
    public inputSwitch: boolean,
    public autocomplete: string,
    public usuarios: string[],
    public empleados: string[],
    public edicion: string
  ) {
    super(id);
  }

  public static newObject(): NewObjetoTest {
    return new NewObjetoTest(null, null, false, true, null, null, null, null, null, false, null, null, null, null);
  }
}
