import { Component, Input, Output, EventEmitter } from "@angular/core";

/**
 * Componente de ejemplo de una ventana modal.
 */
@Component({
  selector: "ventana-modal",
  templateUrl: "./ventana-modal.component.html"
})
export class VentanaModalComponent {
  @Input() display: boolean = false;
  @Output() onClose: EventEmitter<boolean> = new EventEmitter<boolean>();

  constructor() {}

  closeForm() {
    this.display = false;
    this.onClose.emit(true);
  }
}
